"use client";

import React from "react";

import { motion } from "framer-motion";

import ShineBorder from "@/components/ui/shine-border";

const ease = [0.16, 1, 0.3, 1];

export default function CardBackground({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <motion.div
      initial={{ opacity: 0, y: 30 }}
      animate={{ opacity: 1, y: 0 }}
      transition={{ delay: 0.2, duration: 0.4, ease }}
      className="w-full"
    >
      <ShineBorder
        className="mb-8 z-20 relative p-6 mx-auto w-full max-w-2xl flex flex-col overflow-hidden rounded-lg border bg-background md:shadow-xl"
        color={["#f8e5da", "#FE8FB5", "#812f20"]}
      >
        {children}
      </ShineBorder>
    </motion.div>
  );
}
